%global srcname xmlsec

Name:           python-%{srcname}
Version:        1.3.3
Release:        9%{?dist}
Summary:        Python bindings for the XML Security Library

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/x/%{srcname}/%{srcname}-%{version}.tar.gz

Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

BuildRequires:  libxml2-python >= 2.9.1
BuildRequires:  libxml2-devel >= 2.9.1
BuildRequires:  xmlsec1-devel >= 1.2.18
BuildRequires:  xmlsec1-openssl-devel
BuildRequires:  xmlsec1 >= 1.2.18
BuildRequires:  python-lxml
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  libtool-ltdl-devel

Requires: xmlsec1 >= 1.2.18
Requires: xmlsec1-openssl
Requires: libxml2 >= 2.9.1

Patch0001: 0001-Remove-pkgconfig-dependency.patch

%description
Python bindings for the XML Security Library

%prep
%autosetup -n %{srcname}-%{version}
sed -i /pkgconfig/d requirements.txt
rm -rf *.egg-info

%build
%py2_build

%install
%py2_install

# Tests aren't available

%files
%license LICENSE
%doc README.rst
%{python2_sitearch}/xmlsec*.so
%{python2_sitearch}/xmlsec-%{version}-*.egg-info


%changelog
* Wed Feb 12 2020 Ken Dreyer <kdreyer@redhat.com> - 1.3.3-9
- pkgconfig is only a build-time dependency (rhbz#1789152)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.3.3-7
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.3-4
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.3.3-2
- Rebuilt for Python 3.7

* Thu Jan 25 2018 Jeremy Cline <jeremy@jcline.org> - 1.3.3-1
- Initial package.
